Bug 451126 - Forward action in a filter rule does not work
Summary: Forward action in a filter rule does not work
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.19.2
Platform: RedHat Enterprise Linux Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-04 12:27 UTC by billgee
Modified: 2022-04-14 06:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description billgee 2022-03-04 12:27:30 UTC
This may be a duplicte of bug 388828 ...

If a filter contains a "Forward To" action, that action is ignored.


STEPS TO REPRODUCE
1.  Create a filter which includes a "Forward To" action and a valid email address.
2.   Apply the filter to a message.
3. 

OBSERVED RESULT
Nothing happens.  The message is not forwarded.  It never appears in the Sent Mail folder and never appears at the target email address.

EXPECTED RESULT
The message is sent to the email address specified in the Forward To filter action.

SOFTWARE/OS VERSIONS
Operating System: Fedora Linux 35
KDE Plasma Version: 5.24.2
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.2
Kernel Version: 5.16.9-200.fc35.x86_64 (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5 CPU 760 @ 2.80GHz
Memory: 15.6 GiB of RAM
Graphics Processor: NVIDIA GeForce GT 710/PCIe/SSE2
Comment 1 Laurent Montel 2022-04-14 05:09:42 UTC
I confirm it.
I work on it.
Regards
Comment 2 Laurent Montel 2022-04-14 06:00:18 UTC
Git commit e82dcb9a52423dbe5f5217bc4156a60142cbb97c by Laurent Montel.
Committed on 14/04/2022 at 05:58.
Pushed by mlaurent into branch 'release/22.04'.

Disable for the moment  "FilterActionForward::newAction" as it's not ported to async

Generate mail need to use async method but filter is sync method
=> it can't work.
I need to rewrite a lot of code.
For release we need to disable it

M  +2    -1    src/filter/filteractions/filteractiondict.cpp

https://invent.kde.org/pim/mailcommon/commit/e82dcb9a52423dbe5f5217bc4156a60142cbb97c